terraform {
  required_providers {
    azurerm = {
      source  = "hashicorp/azurerm"
      version = ">=3.79.0"
    }
  }
}

provider "azurerm" {
  features {

  }
}

resource "azurerm_storage_account" "owl_storage" {
  name                      = "${var.prefix}stblob${var.environment}${var.unique_suffix}"
  resource_group_name       = var.resource_group_name
  location                  = var.resource_group_location
  account_kind              = "StorageV2"
  account_tier              = "Standard"
  access_tier               = "Hot"
  account_replication_type  = "LRS"
  shared_access_key_enabled = true
  enable_https_traffic_only = true
  min_tls_version           = "TLS1_2"

  tags = {
    environment = var.environment
  }
}
