variable "resource_group_name" {
  description = "The name of the containing resource group"
  type        = string
  nullable    = false
}

variable "resource_group_location" {
  description = "The location/region of the containing resource group"
  type        = string
  nullable    = false
}

variable "environment" {
  description = "Environment prefix used for tagging and unique names"
  type        = string
  nullable    = false
}

variable "prefix" {
  type = string
  validation {
    condition     = length(var.prefix) <= 4
    error_message = "The prefix must not be longer than 4 characters."
  }
}

variable "unique_suffix" {
  type        = number
  description = "Number suffix for unique names"
}