variable "resource_group_name" {
  description = "The name of the containing resource group"
  type        = string
  nullable    = false
}

variable "resource_group_location" {
  description = "The location/region of the containing resource group"
  type        = string
  nullable    = false
}

variable "prefix" {
  type = string
  validation {
    condition     = length(var.prefix) <= 4
    error_message = "The prefix must not be longer than 4 characters."
  }
  default = "owl"
}

variable "environment" {
  description = "Environment prefix used for tagging and unique names"
  type        = string
  nullable    = false
}

variable "tenant_id" {
  description = "TenantId of target tenant to deploy to"
  type        = string
  sensitive   = true
  nullable    = false
}

variable "subscription_id" {
  description = "SubscriptionId which will be billed"
  type        = string
  sensitive   = true
  nullable    = false
}